
program TestRegularExpressions;
{$APPTYPE CONSOLE}

uses
  SysUtils,
  Classes,
  IOUtils,
  Diagnostics,

  RegularExpressions;

{$I PATTERN}
  
var
  expr: TRegEx;
  col: TMatchCollection;
  writer: TStreamWriter;
  watch: TStopWatch;
  i, j: integer;
  s: string;

begin
  s := TFile.ReadAllText('1.txt');
  expr := TRegEx.Create(PATTERN);
  writer := TFile.CreateText('3.txt');
  
  watch := TStopWatch.StartNew;
  col := expr.Matches(s);
  WriteLn(Format('%d ms', [watch.ElapsedMilliseconds]));

  for i := 0 to col.Count - 1 do
  begin
    //writer.Write(col[i].Groups.Item[0].Value);
    for j := 1 to col[i].Groups.Count - 1 do
      writer.Write(col[i].Groups.Item[j].Value);
    writer.WriteLine;
  end;
  
  writer.Close;

  WriteLn('Termin !');
  ReadLn;
end.
